Bug 19292 - Add MARC code column on libraries list
Summary: Add MARC code column on libraries list
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Tomás Cohen Arazi
URL:
Whiteboard:
Keywords:
Depends on: 10132
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-11 19:20 UTC by Tomás Cohen Arazi
Modified: 2017-12-21 10:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19292: Add MARC code column on libraries list (1.63 KB, patch)
2017-10-06 07:29 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19292: Add MARC code column on libraries list (3.34 KB, patch)
2017-10-07 13:00 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19292: Add MARC code column on libraries list (3.40 KB, patch)
2017-11-13 13:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2017-09-11 19:20:04 UTC
Bug 10132 adds the useful ability to have different MARC organization codes for each library. It would be handy to have it displayed on admin/branches.pl.
Comment 1 Josef Moravec 2017-10-06 07:29:19 UTC
Created attachment 67675 [details] [review]
Bug 19292: Add MARC code column on libraries list

Test plan:
0) Apply the patch
1) Go to admin/branches.pl
2) In the list of libraries, you should see new column "MARC Organization Code"
3) Insert some codes to some libraries
4) Confirm they are shown in new column
Comment 2 Katrin Fischer 2017-10-07 13:00:47 UTC
Created attachment 67796 [details] [review]
Bug 19292: Add MARC code column on libraries list

Test plan:
0) Apply the patch
1) Go to admin/branches.pl
2) In the list of libraries, you should see new column "MARC Organization Code"
3) Insert some codes to some libraries
4) Confirm they are shown in new column

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed capitalization.
Comment 3 Tomás Cohen Arazi 2017-11-13 13:54:09 UTC
Created attachment 69122 [details] [review]
Bug 19292: Add MARC code column on libraries list

Test plan:
0) Apply the patch
1) Go to admin/branches.pl
2) In the list of libraries, you should see new column "MARC Organization Code"
3) Insert some codes to some libraries
4) Confirm they are shown in new column

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Fixed capitalization.
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 4 Jonathan Druart 2017-12-11 14:35:31 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 18:18:28 UTC
Pushed to stable for 17.11.01, awesome work all!
Comment 6 Fridolin SOMERS 2017-12-21 10:00:02 UTC
Bug 10132 not in 17.05.x